User
Manage organization users and membership.
Get organizations users by organization user
Entity ID
^[0-9a-fA-F]{24}$Username
Sort
{"value":"createdAt"}The limit of per page
10Current page number
1Status
Role ID
OK
The total number of users
The limit of users per page
10Current page
1The total number of pages
Current page number
Has previous page
Has next page
Previous page number
Next page number
Unauthorized
Forbidden
GET /api/v1/organizations/{organizationId}/users HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"totalDocs": 1,
"limit": 10,
"page": 1,
"totalPages": 1,
"pagingCounter": 1,
"hasPrevPage": true,
"hasNextPage": true,
"prevPage": 1,
"nextPage": 1,
"docs": []
}Create a organization user by organization user
Entity ID
^[0-9a-fA-F]{24}$User id
Entity ID
^[0-9a-fA-F]{24}$Created
Bad Request
Unauthorized
Forbidden
POST /api/v1/organizations/{organizationId}/users HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"user": "text",
"roles": [
"text",
null,
"text"
]
}{
"_id": "text",
"username": "text",
"language": "text",
"region": "text",
"firstName": "text",
"lastName": "text",
"status": 0,
"attributes": {},
"avatarUrl": "text",
"settings": {
"mailOnBuildCompleted": true,
"mailOnCodePushCompleted": true
},
"lastLoginAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"organization": "text",
"roles": [
{
"_id": "text",
"name": "text",
"description": "text",
"organization": {
"_id": "text",
"name": "text",
"slug": "text",
"description": "text",
"owner": "text",
"isExecutive": false,
"status": 0,
"privileges": [
"project:read",
"project:write"
],
"imageUrl": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"privileges": [
"project:read",
"project:write"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
{
"organization": "text"
}
]
}Search organizations users by organization user
Entity ID
^[0-9a-fA-F]{24}$Text
OK
The total number of users
The limit of users per page
10Current page
1The total number of pages
Current page number
Has previous page
Has next page
Previous page number
Next page number
Unauthorized
Forbidden
GET /api/v1/organizations/{organizationId}/users/search/availables HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"totalDocs": 1,
"limit": 10,
"page": 1,
"totalPages": 1,
"pagingCounter": 1,
"hasPrevPage": true,
"hasNextPage": true,
"prevPage": 1,
"nextPage": 1,
"docs": []
}Get a organization user by organization user
Entity ID
^[0-9a-fA-F]{24}$Entity ID
^[0-9a-fA-F]{24}$OK
Unauthorized
Forbidden
Not Found
GET /api/v1/organizations/{organizationId}/users/{userId} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"_id": "text",
"username": "text",
"language": "text",
"region": "text",
"firstName": "text",
"lastName": "text",
"status": 0,
"attributes": {},
"avatarUrl": "text",
"settings": {
"mailOnBuildCompleted": true,
"mailOnCodePushCompleted": true
},
"lastLoginAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"roles": []
}Update a organization user by organization user
Entity ID
^[0-9a-fA-F]{24}$Entity ID
^[0-9a-fA-F]{24}$OK
Entity ID
^[0-9a-fA-F]{24}$User username (email)
User password
User ISO 639-1 language code
User ISO 3166-1 alpha-2 region code
User first name
User last name
Status
User attributes
User avatar URL
Date
Date
Date
Bad Request
Unauthorized
Forbidden
Not Found
PUT /api/v1/organizations/{organizationId}/users/{userId} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"roles": [
"text",
null,
"text"
]
}{
"_id": "text",
"username": "text",
"language": "text",
"region": "text",
"firstName": "text",
"lastName": "text",
"status": 0,
"attributes": {},
"avatarUrl": "text",
"settings": {
"mailOnBuildCompleted": true,
"mailOnCodePushCompleted": true
},
"lastLoginAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Delete a organization user by organization user
Entity ID
^[0-9a-fA-F]{24}$Entity ID
^[0-9a-fA-F]{24}$No Content
No content
Unauthorized
Forbidden
Not Found
DELETE /api/v1/organizations/{organizationId}/users/{userId} HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

